> ## Documentation Index
> Fetch the complete documentation index at: https://developer.sandbox.co.in/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch All Virtual Accounts

> Fetch all Virtual Accounts API allows you to get all the virtual accounts created



## OpenAPI

````yaml openapi.json GET /bank/virtual/accounts
openapi: 3.0.0
info:
  title: virtual bank
  version: 1.0.0
  description: ''
servers:
  - url: https://test-api.sandbox.co.in
    description: test
  - url: https://api.sandbox.co.in
    description: prod
security: []
paths:
  /bank/virtual/accounts:
    get:
      tags:
        - Accounts
      summary: Fetch Virtual Accounts
      parameters:
        - name: external_id
          in: query
          description: External ID
          schema:
            type: string
        - name: status
          in: query
          required: false
          description: Status of virtual account
          deprecated: false
          schema:
            type: string
        - name: limit
          in: query
          required: false
          description: Number of records for a page
          deprecated: false
          schema:
            type: integer
            minimum: 0
        - name: last_evaluated_key
          in: query
          description: Last evaluated key
          schema:
            type: string
        - name: x-api-key
          in: header
          required: true
          description: API key
          deprecated: false
          schema:
            type: string
        - name: Authorization
          in: header
          required: true
          description: Access Token
          deprecated: false
          schema:
            type: string
      responses:
        '200':
          description: 200 - Fetch all accounts
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: integer
                  timestamp:
                    type: integer
                  data:
                    type: object
                    properties:
                      '@entity':
                        type: string
                      items:
                        type: array
                        items:
                          type: object
                          properties:
                            '@entity':
                              type: string
                            account_number:
                              type: string
                            ifsc:
                              type: string
                            bank_name:
                              type: string
                            status:
                              type: string
                            notes:
                              type: object
                            name:
                              type: string
                            created_at:
                              type: integer
                  transaction_id:
                    type: string

````